Index: src/include/sdk_forward.h
===================================================================
--- src/include/sdk_forward.h	(revision 0)
+++ src/include/sdk_forward.h	(revision 0)
@@ -0,0 +1,85 @@
+#ifndef SDK_FORWARD_H
+#define SDK_FORWARD_H
+
+/*
+
+// Example use of this header
+#include <sdk.h>
+#ifndef CB_PRECOMP
+#include <sdk_forward.h>    // forward declarations of Codeblocks SDK classes
+#endif  // CB_PRECOMP
+
+*/
+
+// Only add forward declarations of classes included by sdk_common.h
+// Do NOT include classes only included in wxprec.h
+// List the header that defines the class in comments.
+
+// Add classes in A-Z order
+
+class cbCompilerPlugin;                 // #include <cbplugin.h>
+class cbEditor;                         // #include <cbeditor.h>
+class cbMimePlugin;                     // #include <cbplugin.h>
+class cbPlugin;                         // #include <cbplugin.h>
+class cbProject;                        // #include <cbproject.h>
+class cbStyledTextCtrl;                 // #include <cbeditor.h>
+class cbTool;                           // #include <cbtool.h>
+class cbWorkspace;                      // #include <cbworkspace.h>
+class CfgMgrBldr;                       // #include <configmanager.h>
+class CodeBlocksEvent;                  // #include <sdk_events.h>
+class Compiler;                         // #include <compiler.h>
+class CompilerFactory;                  // #include <compilerfactory.h>
+class CompileTargetBase;                // #include <compiletargetbase.h>
+class ConfigManager;                    // #include <configmanager.h>
+class EditorBase;                       // #include <editorbase.h>
+class EditorColourSet;                  // #include <editorcolourset.h>
+class EditorManager;                    // #include <editormanager.h>
+class FileManager;                      // #include <filemanager.h>
+class FileTreeData;                     // #include <cbproject.h>
+class LoaderBase;                       // #include <filemanager.h>
+class MacrosManager;                    // #include <macrosmanager.h>
+class Manager;                          // #include <manager.h>
+class MessageLog;                       // #include <messagelog.h>
+class MessageManager;                   // #include <messagemanager.h>
+class PersonalityManager;               // #include <personalitymanager.h>
+class pfDetails;                        // #include <projectfile.h>
+class PipedProcess;                     // #include <pipedprocess.h>
+class PluginManager;                    // #include <pluginmanager.h>
+class ProjectBuildTarget;               // #include <projectbuildtarget.h>
+class ProjectFile;                      // #include <projectfile.h>
+class ProjectManager;                   // #include <projectmanager.h>
+class ScintillaWX;                      // #include <wx/wxscintilla.h>
+class ScriptingManager;                 // #include <scriptingmanager.h>
+class SimpleListLog;                    // #include <simplelistlog.h>
+class ToolsManager;                     // #include <toolsmanager.h>
+class UserVariableManager;              // #include <uservarmanager.h>
+class wxActivateEvent;                  // #include <wx/event.h>
+class wxArrayString;                    // #include <wx/arrstr.h>
+class wxButton;                         // #include <wx/button.h>
+class wxCheckBox;                       // #include <wx/checkbox.h>
+class wxChoice;                         // #include <wx/choice.h>
+class wxComboBox;                       // #include <wx/combobox.h>
+class wxCommandEvent;                   // #include <wx/event.h>
+class wxFrame;                          // #include <wx/frame.h>
+class wxImage;                          // #include <wx/image.h>
+class wxImageList;                      // #include <wx/imaglist.h>
+class wxListBox;                        // #include <wx/listbox.h>
+class wxListCtrl;                       // #include <wx/listctrl.h>
+class wxListEvent;                      // #include <wx/listctrl.h>
+class wxMenu;                           // #include <wx/menu.h>
+class wxMenuBar;                        // #include <wx/menu.h>
+class wxMenuItem;                       // #include <wx/menuitem.h>
+class wxNotebookEvent;                  // #include <wx/notebook.h>
+class wxPanel;                          // #include <wx/panel.h>
+class wxRadioBox;                       // #include <wx/radiobox.h>
+class wxScintillaEvent;                 // #include <wx/wxscintilla.h>
+class wxSpinCtrl;                       // #include <wx/spinctrl.h>
+class wxSpinEvent;                      // #include <wx/spinctrl.h>             // includes <wx/spinbutt.h>
+class wxSplitterWindow;                 // #include <wx/splitter.h>
+class wxStaticText;                     // #include <wx/stattext.h>
+class wxString;                         // #include <wx/string.h>
+class wxTextCtrl;                       // #include <wx/textctrl.h>
+class wxToolBar;                        // #include <wx/toolbar.h>
+class wxTreeEvent;                      // #include <wx/treectrl.h>
+
+#endif // SDK_FORWARD_H
